@import "../base/variable.scss";
@import "../base/mixins.scss";
.header-main-section{
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    right: 0;
    margin-left: auto;
    margin-right: auto;
    z-index: 9999;
    &.shadow{
        box-shadow: rgba(17, 17, 26, 0.1) 0px 4px 16px, rgba(17, 17, 26, 0.05) 0px 8px 32px;
    }
    .header_menu_wraper{
    background-color: $white;
    box-shadow: rgba(17, 17, 26, 0.1) 0px 4px 16px, rgba(17, 17, 26, 0.05) 0px 8px 32px;
        .head_navigation{
            @include clearfix();
            padding: 19px 48px;
            .left_area{
                float: left;
                width: 970px;
                padding-top: 10px;
                .logo{
                    //padding-top: 10px;
                    float: left;
                    padding-right: 60px;
                    a{
                        img{
                            width: 253px;
                            object-fit: cover;
                        }
                    }
                }
                .menus{
                    float: left;
                    padding-right: 0px;
                    padding-top: 12px;
                    ul{
                        display: flex;
                        justify-content: center;
                        align-items: center;
                        flex-direction: row;
                        height: 100%;
                        li{
                            display: inline-block;
                            font-size: 16px;
                            position: relative;
                            @include clearfix();
                               a{
                                padding-right: 50px;
                                color: $black;
                                font-weight: 500;
                            }
                            // &.active{
                            //     a{
                            //         background-color: $primary_color;
                            //         color: $white;
                            //     }
                            // }
                        }
                    }
                }
            }
            .right_area{
                width: calc(100% - 970px);
                float: right;
                padding-top: 10px;
                .login_side{
                    float: right;
                    display: flex;
                    align-items: center;
                    ul{
                        &.home-side{
                            display: flex;
                            align-items: center;
                        }
                        li{
                            display: inline-block;
                            padding-right: 26px;
                            position: relative;
                             &.user{
                                .dropdown{
                                    .btn{
                                        padding: 0;
                                    }
                                    .dropdown-toggle{
                                        &::after{
                                           content: none;
                                        }
                                        &::before{
                                            position: absolute;
                                            content: "\f0dd";
                                            right: -21px;
                                            top: 5px;
                                            font-family: 'Font Awesome 5 Pro';
                                            color: $white;
                                            font-size: 16px;
                                            padding-top: 5px;
                                            font-weight: 600;
                                        }
                                        .user-img{
                                            width: 50px;
                                            height: 50px;
                                            border-radius: 0px;
                                            overflow: hidden;
                                            img{
                                                width: 100%;
                                                height: 100%;
                                                object-fit: cover;
                                            }
                                        }
                                    }
                                }
                                ul{
                                    height: unset;
                                    box-shadow: rgba(17, 17, 26, 0.1) 0px 4px 16px, rgba(17, 17, 26, 0.05) 0px 8px 32px;
                                    padding-top: 0;
                                    padding-bottom: 0;
                                    &.dropdown-menu{
                                        border: none;
                                        margin-top: 10px;
                                        border-radius: 15px;
                                        overflow: hidden;
                                        min-width: 200px;
                                    }
                                    li{
                                        display: block;
                                        padding-right: 0;
                                        border-bottom: 1px solid $border_line;
                                        &:last-child{
                                            border-bottom: 0;
                                        }
                                        
                                        a{
                                            &.dropdown-item{
                                                padding-top: 14px;
                                                padding-bottom: 10px;
                                                padding-left: 20px;
                                                i{
                                                    color: $black;
                                                    font-size: 18px;
                                                    padding-right: 10px;
                                                }
                                                &:hover{
                                                    background-color: $primary_color;
                                                    color: $white;
                                                    i{
                                                        color: $white;
                                                    }
                                                }
                                            }  
                                        }
                                    }
                                
                                }
                            }

                            // .dot{
                            //     position: absolute;
                            //     top: 0;
                            //     right: 27px;
                            //     &::after{
                            //         position: absolute;
                            //         content: "";
                            //         width: 10px;
                            //         height: 10px;
                            //         border-radius: 50%;
                            //         background-color: $red;
                            //     }
                            // }
                            img{
                                padding-right: 12px;
                                max-width: 100%;
                            }
                            &:last-child{
                                padding-right: 0;
                            }
                            a{
                                i{
                                    color: $white;
                                    font-size: 25px;
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Extra Huge large desktops */
@media (min-width: 3891px) and (max-width: 5120px) {}

/* Extra Huge large desktops */
@media (min-width: 3831px) and (max-width: 3891px) {}

/* Extra Huge large desktops */
@media (min-width: 2840px) and (max-width: 3831px) {}

/* Extra Huge large desktops */
@media (min-width: 2560px) and (max-width: 3850px) {
    .header-main-section{
        .header_menu_wraper{
            .head_navigation{
                .left_area{
                    width: 1600px;
                    .logo{
                        a{
                            img{
                                width: 448px;
                            }
                        }
                    }
                    .menus{
                        padding-top: 5px;
                        ul{
                            li{
                                font-size: 45px;
                            }
                        }
                    }
                }
                .right_area{   
                    width: calc(100% - 1600px);
                    .login_side{
                        ul{
                            li{
                                a{
                                    &.btn-primary-2{
                                        font-size: 28px;
                                        height: 78px;
                                        line-height: 78px;
                                        width: 200px;
                                    }
                                    &.btn-primary{
                                        font-size: 28px;
                                        height: 78px;
                                        line-height: 78px;
                                        width: 180px;
                                    }
                                }
                                img{
                                    width: 50px;
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Extra Huge large desktops */
@media (min-width: 1921px) and (max-width: 2560px) {}

/* Extra Huge large desktops */
@media (min-width: 1920px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px){
    
}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px){
    
}

@media (min-width: 1200px) and (max-width: 1399px) {
    .header-main-section{
        .header_menu_wraper{
            .head_navigation{
                    .left_area{
                        width: 840px;
                    }
                    .right_area{
                        width: calc(100% - 840px);
                    }
            }
        }
    }  
}
/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    .header-main-section{
        .header_menu_wraper{
            .head_navigation{
                padding: 15px 0;
                .left_area{
                    display: flex;
                    align-items: center;
                    .logo{
                        padding-right: 20px;
                        a{
                            img{
                                width: 180px;
                            }
                        }
                    }
                    width: 640px;
                    .menus{
                        padding-top: 0;
                        ul{
                            li{
                                a{
                                    padding-right: 30px;
                                }
                            }
                        }
                 }
                }
                .right_area{
                    width: calc(100% - 640px);
                    padding-top: 0;
                    .login_side{
                        ul{
                            li{
                                img{
                                    padding-right: 0;
                                }
                            }
                        }
                    }
                       
                }
            }
        }
    }  
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
    .header-main-section{
        .header_menu_wraper{
            .head_navigation{
                display: none !important;
                align-items: center;
                padding: 20px 0;
            }
            .responsive_menu{
                display: none;
                padding: 15px 0;
                @include clearfix();
                .menu_boxes{
                    @include clearfix();
                    .dropdown{
                        float: left;
                        margin-right: 20px;
                        a{
                            height: rem(32);
                            display: block;
                            padding: rem(0) rem(20);
                            line-height: rem(32);
                            color: $white;
                            font-size: rem(14);
                            &:hover{
                                color: $primary_color;
                            }
                        }
                        .dropdown-toggle{
                            position: relative;
                            cursor: pointer;
                            &:before{
                                position: absolute;
                                content: '\f0d7';
                                font-family: 'Font Awesome 5 Pro';
                                font-weight: 900;
                                top: 0;
                                right: 0;
                                font-size: rem(18);
                                @include transition(all .3s ease);
                            }
                            &.show{
                                &:before{
                                    @include rotate(180deg);
                                }
                            }
                            &:after{
                                display: none;
                                position: absolute;
                                top: 0;
                                right: 0;
                                margin-top: rem(17);
                                margin-right: rem(3);
                                border-top: rem(6) solid;
                                border-right: rem(6) solid transparent;
                                border-bottom: 0;
                                border-left: rem(6) solid transparent;
                            }
                        }
                        .dropdown-menu{
                            background-color: $black;
                            margin: 0;
                            padding: 0;
                            li{
                                float: initial;
                                width: 100%;
                                a{
                                    display: block;
                                    border-bottom: rem(1) solid $black;
                                    position: relative;
                                    height: 42px;
                                    line-height: 42px;
                                    &:before{
                                        position: absolute;
                                        content: '';
                                        top: 0;
                                        left: 0;
                                        height: 100%;
                                        width: rem(5);
                                        background-color: $primary_color;
                                        @include transition(all .3s ease);
                                        opacity: 0;
                                    }
                                    &:hover{
                                        &:before{
                                            opacity: 1;
                                        }
                                    }
                                }
                                &.active{
                                    a{
                                        &:before{
                                            opacity: 1;
                                        }
                                    }
                                }
                                &:last-child{
                                    a{
                                        border-bottom: rem(0);
                                    }
                                }
                            }
                        }
                    }
                    .logo{
                        float: left;
                        .img_logo{
                            width: 215px;
                            img{
                                width: 100%;
                                height: 100%;
                                object-fit: cover;
                            }
                        }
                    }
                    .right{
                        float: right;
                        padding-top: 0px;
                        display: flex;
                        align-items: center;
                        .cart{
                            margin-right: 20px;
                            float: left;
                            a{
                                padding-top: 0px;
                                display: inline-block;
                                i{
                                    color: $white;
                                    font-size: 20px;
                                }
                            }
                        }
                        .open_close{
                            float: left;
                            a{
                                display: inline-block;
                                i{
                                    font-size: 26px;
                                    color: $black;
                                }
                            }
                        }
                    }
                    .loggedin_user{
                        float: left;
                        a{
                            height: 35px;
                            width: 35px;
                            border-radius: 0%;
                            overflow: hidden;
                            display: flex;
                            img{
                                height: 35px;
                                width: 35px;
                                object-fit: cover;
                            }
                        }
                    }
                }
                .open_menu{
                    position: fixed;
                    top: 0;
                    left: 0;
                    right: 0;
                    height: 100%;
                    width: 100%;
                    background-color: $white;
                    height: 1px;
                    opacity: 0;
                    z-index: -1;
                    @include transition(all .3s ease);
                    .top_area{
                        @include clearfix();
                        padding: 30px;
                        padding-top: 10px;
                        padding-bottom: 10px;
                        background-color: $white;
                        .logo_box{
                            float: left;
                            a{
                                display: inline-block;
                                img{
                                    width: 200px;
                                }
                            }
                        }
                        .cross_menu{
                            float: right;
                            a{
                                display: inline-block;
                                i{
                                    font-size: 25px;
                                    color: $black;
                                }
                            }
                        }
                    }
                    
                    &.show_open{
                        opacity: 1;
                        z-index: 1;
                        height: 100%;
                        .inner_res_menu {
                            height: calc(100% - 50px);
                            @include transition(all .5s ease);
                        }
                    }
                    .inner_res_menu{
                        height: 0;
                        overflow-x: hidden;
                        margin-top: 0px;
                        padding-left: 30px;
                        background-color: $black;
                        @include transition(all .5s ease);
                        ul{
                            li{
                                a{
                                    display: block;
                                    font-size: 16px;
                                    color: $white;
                                    font-weight: 600;
                                    padding: 12px 0;
                                    &:hover{
                                        color: $primary_color;
                                    }
                                    i{
                                        margin-right: 10px;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .header-main-section{
        .header_menu_wraper{
            .head_navigation{
                display: none !important;
                align-items: center;
                padding: 20px 0;
            }
            .responsive_menu{
                display: none;
                padding: 15px 0;
                @include clearfix();
                .menu_boxes{
                    @include clearfix();
                    .dropdown{
                        float: left;
                        margin-right: 20px;
                        a{
                            height: rem(32);
                            display: block;
                            padding: rem(0) rem(20);
                            line-height: rem(32);
                            color: $white;
                            font-size: rem(14);
                            &:hover{
                                color: $primary_color;
                            }
                        }
                        .dropdown-toggle{
                            position: relative;
                            cursor: pointer;
                            &:before{
                                position: absolute;
                                content: '\f0d7';
                                font-family: 'Font Awesome 5 Pro';
                                font-weight: 900;
                                top: 0;
                                right: 0;
                                font-size: rem(18);
                                @include transition(all .3s ease);
                            }
                            &.show{
                                &:before{
                                    @include rotate(180deg);
                                }
                            }
                            &:after{
                                display: none;
                                position: absolute;
                                top: 0;
                                right: 0;
                                margin-top: rem(17);
                                margin-right: rem(3);
                                border-top: rem(6) solid;
                                border-right: rem(6) solid transparent;
                                border-bottom: 0;
                                border-left: rem(6) solid transparent;
                            }
                        }
                        .dropdown-menu{
                            background-color: $black;
                            margin: 0;
                            padding: 0;
                            li{
                                float: initial;
                                width: 100%;
                                a{
                                    display: block;
                                    border-bottom: rem(1) solid $black;
                                    position: relative;
                                    height: 42px;
                                    line-height: 42px;
                                    &:before{
                                        position: absolute;
                                        content: '';
                                        top: 0;
                                        left: 0;
                                        height: 100%;
                                        width: rem(5);
                                        background-color: $primary_color;
                                        @include transition(all .3s ease);
                                        opacity: 0;
                                    }
                                    &:hover{
                                        &:before{
                                            opacity: 1;
                                        }
                                    }
                                }
                                &.active{
                                    a{
                                        &:before{
                                            opacity: 1;
                                        }
                                    }
                                }
                                &:last-child{
                                    a{
                                        border-bottom: rem(0);
                                    }
                                }
                            }
                        }
                    }
                    .logo{
                        float: left;
                        .img_logo{
                            width: 215px;
                            img{
                                width: 100%;
                                height: 100%;
                                object-fit: cover;
                            }
                        }
                    }
                    .right{
                        float: right;
                        padding-top: 0px;
                        display: flex;
                        align-items: center;
                        .cart{
                            margin-right: 20px;
                            float: left;
                            a{
                                padding-top: 0px;
                                display: inline-block;
                                i{
                                    color: $white;
                                    font-size: 20px;
                                }
                            }
                        }
                        .open_close{
                            float: left;
                            a{
                                display: inline-block;
                                i{
                                    font-size: 26px;
                                    color: $black;
                                }
                            }
                        }
                    }
                    .loggedin_user{
                        float: left;
                        a{
                            height: 35px;
                            width: 35px;
                            border-radius: 0%;
                            overflow: hidden;
                            display: flex;
                            img{
                                height: 35px;
                                width: 35px;
                                object-fit: cover;
                            }
                        }
                    }
                }
                .open_menu{
                    position: fixed;
                    top: 0;
                    left: 0;
                    right: 0;
                    height: 100%;
                    width: 100%;
                    background-color: $white;
                    height: 1px;
                    opacity: 0;
                    z-index: -1;
                    @include transition(all .3s ease);
                    .top_area{
                        @include clearfix();
                        padding: 30px;
                        padding-top: 10px;
                        padding-bottom: 10px;
                        background-color: $white;
                        .logo_box{
                            float: left;
                            a{
                                display: inline-block;
                                img{
                                    width: 200px;
                                }
                            }
                        }
                        .cross_menu{
                            float: right;
                            a{
                                display: inline-block;
                                i{
                                    font-size: 25px;
                                    color: $black;
                                }
                            }
                        }
                    }
                    
                    &.show_open{
                        opacity: 1;
                        z-index: 1;
                        height: 100%;
                        .inner_res_menu {
                            height: calc(100% - 50px);
                            @include transition(all .5s ease);
                        }
                    }
                    .inner_res_menu{
                        height: 0;
                        overflow-x: hidden;
                        margin-top: 15px;
                        padding-left: 30px;
                        background-color: $black;
                        @include transition(all .5s ease);
                        ul{
                            li{
                                a{
                                    display: block;
                                    font-size: 16px;
                                    color: $white;
                                    font-weight: 600;
                                    padding: 12px 0;
                                    &:hover{
                                        color: $primary_color;
                                    }
                                    i{
                                        margin-right: 10px;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
    .header-main-section{
        .header_menu_wraper{
            .head_navigation{
                display: none !important;
                align-items: center;
                padding: 20px 0;
            }
            .responsive_menu{
                display: none;
                padding: 15px 0;
                @include clearfix();
                .menu_boxes{
                    @include clearfix();
                    .dropdown{
                        float: left;
                        margin-right: 20px;
                        a{
                            height: rem(32);
                            display: block;
                            padding: rem(0) rem(20);
                            line-height: rem(32);
                            color: $white;
                            font-size: rem(14);
                            &:hover{
                                color: $primary_color;
                            }
                        }
                        .dropdown-toggle{
                            position: relative;
                            cursor: pointer;
                            &:before{
                                position: absolute;
                                content: '\f0d7';
                                font-family: 'Font Awesome 5 Pro';
                                font-weight: 900;
                                top: 0;
                                right: 0;
                                font-size: rem(18);
                                @include transition(all .3s ease);
                            }
                            &.show{
                                &:before{
                                    @include rotate(180deg);
                                }
                            }
                            &:after{
                                display: none;
                                position: absolute;
                                top: 0;
                                right: 0;
                                margin-top: rem(17);
                                margin-right: rem(3);
                                border-top: rem(6) solid;
                                border-right: rem(6) solid transparent;
                                border-bottom: 0;
                                border-left: rem(6) solid transparent;
                            }
                        }
                        .dropdown-menu{
                            background-color: $black;
                            margin: 0;
                            padding: 0;
                            li{
                                float: initial;
                                width: 100%;
                                a{
                                    display: block;
                                    border-bottom: rem(1) solid $black;
                                    position: relative;
                                    height: 42px;
                                    line-height: 42px;
                                    &:before{
                                        position: absolute;
                                        content: '';
                                        top: 0;
                                        left: 0;
                                        height: 100%;
                                        width: rem(5);
                                        background-color: $primary_color;
                                        @include transition(all .3s ease);
                                        opacity: 0;
                                    }
                                    &:hover{
                                        &:before{
                                            opacity: 1;
                                        }
                                    }
                                }
                                &.active{
                                    a{
                                        &:before{
                                            opacity: 1;
                                        }
                                    }
                                }
                                &:last-child{
                                    a{
                                        border-bottom: rem(0);
                                    }
                                }
                            }
                        }
                    }
                    .logo{
                        float: left;
                        .img_logo{
                            width: 180px;
                            img{
                                width: 100%;
                                height: 100%;
                                object-fit: cover;
                            }
                        }
                    }
                    .right{
                        float: right;
                        padding-top: 0px;
                        display: flex;
                        align-items: center;
                        .cart{
                            margin-right: 20px;
                            float: left;
                            a{
                                padding-top: 0px;
                                display: inline-block;
                                i{
                                    color: $white;
                                    font-size: 20px;
                                }
                            }
                        }
                        .open_close{
                            float: left;
                            a{
                                display: inline-block;
                                i{
                                    font-size: 26px;
                                    color: $black;
                                }
                            }
                        }
                    }
                    .loggedin_user{
                        float: left;
                        a{
                            height: 35px;
                            width: 35px;
                            border-radius: 0%;
                            overflow: hidden;
                            display: flex;
                            img{
                                height: 35px;
                                width: 35px;
                                object-fit: cover;
                            }
                        }
                    }
                }
                .open_menu{
                    position: fixed;
                    top: 0;
                    left: 0;
                    right: 0;
                    height: 100%;
                    width: 100%;
                    background-color: $white;
                    height: 1px;
                    opacity: 0;
                    z-index: -1;
                    @include transition(all .3s ease);
                    .top_area{
                        @include clearfix();
                        padding: 30px;
                        padding-top: 10px;
                        padding-bottom: 10px;
                        background-color: $white;
                        .logo_box{
                            float: left;
                            a{
                                display: inline-block;
                                img{
                                    width: 180px;
                                }
                            }
                        }
                        .cross_menu{
                            float: right;
                            a{
                                display: inline-block;
                                i{
                                    font-size: 25px;
                                    color: $black;
                                }
                            }
                        }
                    }
                    
                    &.show_open{
                        opacity: 1;
                        z-index: 1;
                        height: 100%;
                        .inner_res_menu {
                            height: calc(100% - 50px);
                            @include transition(all .5s ease);
                        }
                    }
                    .inner_res_menu{
                        height: 0;
                        overflow-x: hidden;
                        margin-top: 15px;
                        padding-left: 30px;
                        background-color: $black;
                        @include transition(all .5s ease);
                        padding-bottom: 20px;
                        ul{
                            li{
                                a{
                                    display: block;
                                    font-size: 16px;
                                    color: $white;
                                    font-weight: 600;
                                    padding: 12px 0;
                                    &:hover{
                                        color: $primary_color;
                                    }
                                    i{
                                        margin-right: 10px;
                                    }
                                }
                            }
                        }
                        h4{
                            color: $white;
                            padding-top: 10px;
                            padding-bottom: 10px;
                            position: relative;
                            &::before{
                                position: absolute;
                                content: "";
                                width: 200px;
                                height: 1px;
                                background-color: $white;
                                top:22px;
                                right: 24px;
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 360px) {
	.header-main-section{
        .header_menu_wraper{
            .head_navigation{
                display: none !important;
                align-items: center;
                padding: 20px 0;
            }
            .responsive_menu{
                display: none;
                padding: 15px 0;
                @include clearfix();
                .menu_boxes{
                    @include clearfix();
                    .dropdown{
                        float: left;
                        margin-right: 20px;
                        a{
                            height: rem(32);
                            display: block;
                            padding: rem(0) rem(20);
                            line-height: rem(32);
                            color: $white;
                            font-size: rem(14);
                            &:hover{
                                color: $primary_color;
                            }
                        }
                        .dropdown-toggle{
                            position: relative;
                            cursor: pointer;
                            &:before{
                                position: absolute;
                                content: '\f0d7';
                                font-family: 'Font Awesome 5 Pro';
                                font-weight: 900;
                                top: 0;
                                right: 0;
                                font-size: rem(18);
                                @include transition(all .3s ease);
                            }
                            &.show{
                                &:before{
                                    @include rotate(180deg);
                                }
                            }
                            &:after{
                                display: none;
                                position: absolute;
                                top: 0;
                                right: 0;
                                margin-top: rem(17);
                                margin-right: rem(3);
                                border-top: rem(6) solid;
                                border-right: rem(6) solid transparent;
                                border-bottom: 0;
                                border-left: rem(6) solid transparent;
                            }
                        }
                        .dropdown-menu{
                            background-color: $black;
                            margin: 0;
                            padding: 0;
                            li{
                                float: initial;
                                width: 100%;
                                a{
                                    display: block;
                                    border-bottom: rem(1) solid $black;
                                    position: relative;
                                    height: 42px;
                                    line-height: 42px;
                                    &:before{
                                        position: absolute;
                                        content: '';
                                        top: 0;
                                        left: 0;
                                        height: 100%;
                                        width: rem(5);
                                        background-color: $primary_color;
                                        @include transition(all .3s ease);
                                        opacity: 0;
                                    }
                                    &:hover{
                                        &:before{
                                            opacity: 1;
                                        }
                                    }
                                }
                                &.active{
                                    a{
                                        &:before{
                                            opacity: 1;
                                        }
                                    }
                                }
                                &:last-child{
                                    a{
                                        border-bottom: rem(0);
                                    }
                                }
                            }
                        }
                    }
                    .logo{
                        float: left;
                        .img_logo{
                            width: 180px;
                            img{
                                width: 100%;
                                height: 100%;
                                object-fit: cover;
                            }
                        }
                    }
                    .right{
                        float: right;
                        padding-top: 0px;
                        display: flex;
                        align-items: center;
                        .cart{
                            margin-right: 20px;
                            float: left;
                            a{
                                padding-top: 0px;
                                display: inline-block;
                                i{
                                    color: $white;
                                    font-size: 20px;
                                }
                            }
                        }
                        .open_close{
                            float: left;
                            a{
                                display: inline-block;
                                i{
                                    font-size: 26px;
                                    color: $black;
                                }
                            }
                        }
                    }
                    .loggedin_user{
                        float: left;
                        a{
                            height: 35px;
                            width: 35px;
                            border-radius: 0%;
                            overflow: hidden;
                            display: flex;
                            img{
                                height: 35px;
                                width: 35px;
                                object-fit: cover;
                            }
                        }
                    }
                }
                .open_menu{
                    position: fixed;
                    top: 0;
                    left: 0;
                    right: 0;
                    height: 100%;
                    width: 100%;
                    background-color: $white;
                    height: 1px;
                    opacity: 0;
                    z-index: -1;
                    @include transition(all .3s ease);
                    .top_area{
                        @include clearfix();
                        padding: 30px;
                        padding-top: 10px;
                        padding-bottom: 10px;
                        background-color: $white;
                        .logo_box{
                            float: left;
                            a{
                                display: inline-block;
                                img{
                                    width: 180px;
                                }
                            }
                        }
                        .cross_menu{
                            float: right;
                            a{
                                display: inline-block;
                                i{
                                    font-size: 25px;
                                    color: $black;
                                }
                            }
                        }
                    }
                    
                    &.show_open{
                        opacity: 1;
                        z-index: 1;
                        height: 100%;
                        .inner_res_menu {
                            height: calc(100% - 50px);
                            @include transition(all .5s ease);
                        }
                    }
                    .inner_res_menu{
                        height: 0;
                        overflow-x: hidden;
                        margin-top: 15px;
                        padding-left: 30px;
                        background-color: $black;
                        @include transition(all .5s ease);
                        padding-bottom: 20px;
                        ul{
                            li{
                                a{
                                    display: block;
                                    font-size: 16px;
                                    color: $white;
                                    font-weight: 600;
                                    padding: 12px 0;
                                    background-color: $black;
                                    &:hover{
                                        color: $primary_color;
                                    }
                                    i{
                                        margin-right: 10px;
                                    }
                                }
                                // .dropdown{
                                //     button{
                                //         font-size: 16px;
                                //         font-weight: 600;
                                //         margin-left: -23px;
                                //         &.btn-primary{
                                //             background-color: transparent;
                                //         }
                                //     }
                                //     .dropdown-menu{
                                //         border: none;
                                //         background-color: transparent;
                                //         min-width: 100%;
                                //         left: 20px !important;
                                //     }
                                // }
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 320px) {
    
}